<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3040
Name: Allergien und Unverträglichkeiten
Description: Beschreibung der Allergien und Medikamentenunverträglichkeiten und deren Manifestationen (Reaktion) und Kritikalität
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3040-2017-06-04T000000">
   <title>Allergien und Unverträglichkeiten</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3040
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]
Item: (AllergienUnvertraeglichkeiten)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3040
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]
Item: (AllergienUnvertraeglichkeiten)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]"
         id="d20e420-false-d652e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(AllergienUnvertraeglichkeiten): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(AllergienUnvertraeglichkeiten): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3040']) &gt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:templateId[@root = '1.2.276.0.76.10.3040'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3040']) &lt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:templateId[@root = '1.2.276.0.76.10.3040'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]) &lt;= 1">(AllergienUnvertraeglichkeiten): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3040
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:templateId[@root = '1.2.276.0.76.10.3040']
Item: (AllergienUnvertraeglichkeiten)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:templateId[@root = '1.2.276.0.76.10.3040']"
         id="d20e426-false-d724e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergienUnvertraeglichkeiten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.3040')">(AllergienUnvertraeglichkeiten): Der Wert von root MUSS '1.2.276.0.76.10.3040' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3040
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (AllergienUnvertraeglichkeiten)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e431-false-d739e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergienUnvertraeglichkeiten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="@nullFlavor or (@code='48765-2' and @codeSystem='2.16.840.1.113883.6.1')">(AllergienUnvertraeglichkeiten): Der Elementinhalt MUSS einer von 'code '48765-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3040
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:title[not(@nullFlavor)]
Item: (AllergienUnvertraeglichkeiten)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:title[not(@nullFlavor)]"
         id="d20e436-false-d755e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergienUnvertraeglichkeiten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="text()='Allergien und Unverträglichkeiten'">(AllergienUnvertraeglichkeiten): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Allergien und Unverträglichkeiten'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3040
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:text[not(@nullFlavor)]
Item: (AllergienUnvertraeglichkeiten)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:text[not(@nullFlavor)]"
         id="d20e443-false-d769e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergienUnvertraeglichkeiten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3040
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]
Item: (AllergienUnvertraeglichkeiten)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3040']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3040-2017-06-04T000000.html"
              test="string(@typeCode) = ('DRIV')">(AllergienUnvertraeglichkeiten): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
