<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3043
Name: Gesundheitsbelange
Description: Gesundheitsbelange. Dieser Abschnitt enthält eine Beschreibung über einen Gesundheitszustand oder -prozess, der möglicherweise Aufmerksamkeit, Intervention oder Management erfordern könnte. "Gesundheitsbelange" beschreiben einen Gesundheitszustand oder -prozess, der bedeutsam oder wichtig für den Patienten, die Familie des Patienten oder den behandelnden Arzt/Gesundheitsdienstleister ist oder Anlass zur Besorgnis liefert.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3043-2015-03-03T000000">
   <title>Gesundheitsbelange</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3043
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]
Item: (HealthConcernsSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3043
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]
Item: (HealthConcernsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]"
         id="d20e645-false-d1172e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(HealthConcernsSection): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(HealthConcernsSection): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3043']) &gt;= 1">(HealthConcernsSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3043'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3043']) &lt;= 1">(HealthConcernsSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3043'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(HealthConcernsSection): Element hl7:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(HealthConcernsSection): Element hl7:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(HealthConcernsSection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(HealthConcernsSection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(HealthConcernsSection): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(HealthConcernsSection): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]) &lt;= 1">(HealthConcernsSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4021']]]) &lt;= 1">(HealthConcernsSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4021']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3043
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:templateId[@root = '1.2.276.0.76.10.3043']
Item: (HealthConcernsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:templateId[@root = '1.2.276.0.76.10.3043']"
         id="d20e651-false-d1244e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthConcernsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.3043')">(HealthConcernsSection): Der Wert von root MUSS '1.2.276.0.76.10.3043' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3043
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (HealthConcernsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:code[(@code = '75310-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e656-false-d1259e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthConcernsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="@nullFlavor or (@code='75310-3' and @codeSystem='2.16.840.1.113883.6.1')">(HealthConcernsSection): Der Elementinhalt MUSS einer von 'code '75310-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3043
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:title[not(@nullFlavor)]
Item: (HealthConcernsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:title[not(@nullFlavor)]"
         id="d20e661-false-d1275e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthConcernsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="text()='Gesundheitsbelange'">(HealthConcernsSection): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Gesundheitsbelange'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3043
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:text[not(@nullFlavor)]
Item: (HealthConcernsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:text[not(@nullFlavor)]"
         id="d20e668-false-d1289e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthConcernsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3043
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]
Item: (HealthConcernsSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="string(@typeCode) = ('DRIV')">(HealthConcernsSection): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3043
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4021']]]
Item: (HealthConcernsSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3043']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4021']]]">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3043-2015-03-03T000000.html"
              test="string(@typeCode) = ('DRIV')">(HealthConcernsSection): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
