<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4020
Name: Schwangerschaft
Description: Patient momentan schwanger
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4020-2014-11-01T000000">
   <title>Schwangerschaft</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]
Item: (Patientcurrentlypregnant)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]"
         id="d20e1156-false-d2582e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="string(@classCode) = ('OBS')">(Patientcurrentlypregnant): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="string(@moodCode) = ('EVN')">(Patientcurrentlypregnant): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4020']) &gt;= 1">(Patientcurrentlypregnant): Element hl7:templateId[@root = '1.2.276.0.76.10.4020'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4020']) &lt;= 1">(Patientcurrentlypregnant): Element hl7:templateId[@root = '1.2.276.0.76.10.4020'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(Patientcurrentlypregnant): Element hl7:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(Patientcurrentlypregnant): Element hl7:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:text) &gt;= 1">(Patientcurrentlypregnant): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:text) &lt;= 1">(Patientcurrentlypregnant): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Patientcurrentlypregnant): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Patientcurrentlypregnant): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:value[(@code = '77386006' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Patientcurrentlypregnant): Element hl7:value[(@code = '77386006' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:value[(@code = '77386006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Patientcurrentlypregnant): Element hl7:value[(@code = '77386006' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:templateId[@root = '1.2.276.0.76.10.4020']
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:templateId[@root = '1.2.276.0.76.10.4020']"
         id="d20e1162-false-d2647e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.4020')">(Patientcurrentlypregnant): Der Wert von root MUSS '1.2.276.0.76.10.4020' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:id
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:id"
         id="d20e1167-false-d2661e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d20e1169-false-d2672e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(Patientcurrentlypregnant): Der Elementinhalt MUSS einer von 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:text
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:text"
         id="d20e1175-false-d2688e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Patientcurrentlypregnant): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Patientcurrentlypregnant): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d20e1180-false-d2707e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="string(@value) = ('#preg')">(Patientcurrentlypregnant): Der Wert von value MUSS '#preg' sein. Gefunden: "<value-of select="@value"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:statusCode[@code = 'completed']
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:statusCode[@code = 'completed']"
         id="d20e1186-false-d2722e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Patientcurrentlypregnant): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:value[(@code = '77386006' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4020']]/hl7:value[(@code = '77386006' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e1191-false-d2739e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="@nullFlavor or (@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')">(Patientcurrentlypregnant): Der Elementinhalt MUSS einer von 'code '77386006' codeSystem '2.16.840.1.113883.6.96'' sein.</assert>
   </rule>
</pattern>
